// ClassFactory.h: Schnittstelle fr die Klasse CClassFactory.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CLASSFACTORY_H__5DA92A2B_E49C_11D0_9DCC_A393B05B407D__INCLUDED_)
#define AFX_CLASSFACTORY_H__5DA92A2B_E49C_11D0_9DCC_A393B05B407D__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CClassFactory : public IClassFactory  
{
public:
    CClassFactory();
    virtual ~CClassFactory();

    // IUnknown
    STDMETHODIMP QueryInterface(REFIID riid,LPVOID* ppv );
    STDMETHODIMP_(ULONG) AddRef();
    STDMETHODIMP_(ULONG) Release();

    // IClassFactory
    STDMETHODIMP CreateInstance(LPUNKNOWN punk,REFIID riid,LPVOID* ppv);
    STDMETHODIMP LockServer( BOOL f );

protected:
    ULONG   m_cRef;
};

#endif // !defined(AFX_CLASSFACTORY_H__5DA92A2B_E49C_11D0_9DCC_A393B05B407D__INCLUDED_)
