/* ReplDlg.c - File contains all regarding the Replace dialog */

#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#include <commctrl.h>
#include <stdio.h>
#include <stdlib.h>
#include "unzip32dll.h"
#include "resource.h"
#include "Dialog.h"

extern    HINSTANCE        g_hInst;

BOOL APIENTRY ReplaceDlgProc(HWND hwndDlg,UINT message,WPARAM wParam,LPARAM lParam)
{   int        retVal;
    HWND    hCtrl;
    HICON    hIcon;
    char    *buffer1,*buffer2;

    switch(message)
    {   case    WM_INITDIALOG:
            buffer1=(char*)malloc(128*sizeof(char));
            hCtrl=GetDlgItem(hwndDlg,IDC_REPL_MSG);
            buffer2=buffer1+GetWindowText(hCtrl,buffer1,60)+1;
            sprintf(buffer2,buffer1,(char*)lParam);
            SetWindowText(hCtrl,buffer2);
            free(buffer1);
            hIcon=LoadIcon(0,IDI_QUESTION);
            SendDlgItemMessage(hwndDlg,IDC_QUESTION_ICON,STM_SETIMAGE,IMAGE_ICON,(LPARAM)hIcon);
        break;
        case    WM_COMMAND:
            switch(LOWORD(wParam))
            {   case    IDYES:
                    retVal=102;
                break;
                case    IDNO:
                    retVal=100;
                break;
                case    IDC_NONE:
                    retVal=104;
                break;
                case    IDC_ALL:
                    retVal=103;
                break;
                default:
                    return(FALSE);
            }
            EndDialog(hwndDlg,retVal);
            break;
        default:
            return(FALSE);
    }
    return(TRUE);
}


int WINAPI GetReplaceDlgRetVal(char *filename)
{   int    i;
/* This is where you will decide if you want to replace, rename etc existing
   files.
 */
    i=DialogBoxParam(g_hInst,MAKEINTRESOURCE(IDD_REPLACE),NULL,ReplaceDlgProc,(LPARAM)filename);
    
    return(i);
}
