// ZIPShellExt.h : Haupt-Header-Datei fr die DLL ZIPSHELLEXT
//

#if !defined(AFX_ZIPSHELLEXT_H__5DA92A24_E49C_11D0_9DCC_A393B05B407D__INCLUDED_)
#define AFX_ZIPSHELLEXT_H__5DA92A24_E49C_11D0_9DCC_A393B05B407D__INCLUDED_
#define OFFSET_COUNTLINES   0

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
/*
#ifndef __AFXWIN_H__
    #error include 'stdafx.h' before including this file for PCH
#endif
*/
#include "resource.h"        // Hauptsymbole

/* The class ID for the ZIP file extension
   7230e9be-0a6f-f02f-2dcd-d8953b6d1f8a */
DEFINE_GUID(CLSID_ZIPExtension,0x7230e9be,0x0a6f,0xf02f,0x2d,0xcd,0xd8,0x95,0x3b,0x6d,0x1f,0x8a);
#pragma data_seg()

extern "C"
{
BOOL APIENTRY DlgProc(HWND hwndDlg,UINT message,WPARAM wParam,LPARAM lParam);
UINT CALLBACK PropPageCallback(HWND hwndPage,UINT message,LPPROPSHEETPAGE pPropPage);
int WINAPI ZIPPrint(char *buffer, unsigned long size);
}

/*///////////////////////////////////////////////////////////////////////////
// CZIPShellExtApp
// Siehe ZIPShellExt.cpp fr die Implementierung dieser Klasse
//

class CZIPShellExtApp : public CWinApp
{
private:
    char    m_szFile[MAX_PATH+1];

public:
    CZIPShellExtApp();

// berladungen
    // Vom Klassenassistenten generierte berladungen virtueller Funktionen
    //{{AFX_VIRTUAL(CZIPShellExtApp)
    public:
    virtual BOOL InitInstance();
    //}}AFX_VIRTUAL

    //{{AFX_MSG(CZIPShellExtApp)
        // HINWEIS - An dieser Stelle werden Member-Funktionen vom Klassen-Assistenten eingefgt und entfernt.
        //    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
    //}}AFX_MSG
    DECLARE_MESSAGE_MAP()

    friend    class CZIPShellExt;
    friend    BOOL APIENTRY DlgProc(HWND hwndDlg,UINT message,WPARAM wParam,LPARAM lParam);

};
*/

/*/////////////////////////////////////////////////////////////////////////*/

class CZIPShellExt : public IShellPropSheetExt,IContextMenu,IShellExtInit  
{
private:
    DCL                DCLBlock;
    ULONG            m_cRef;
//    USERFUNCTIONS    UserFunctions;
//    HINSTANCE        hUnzip32Dll;
//    _DLL_UNZIP        windll_unzip;

public:
    CZIPShellExt();
    virtual ~CZIPShellExt();

    // IUnknown
    STDMETHODIMP QueryInterface( REFIID riid, LPVOID* ppv );
    STDMETHODIMP_(ULONG) AddRef();
    STDMETHODIMP_(ULONG) Release();
    //
    // IContextMenu
    STDMETHODIMP QueryContextMenu(HMENU hMenu,UINT nMenuIndex,UINT nFirstID,UINT nLastID,UINT nFlags);
    STDMETHODIMP InvokeCommand(LPCMINVOKECOMMANDINFO pInfo);
    STDMETHODIMP GetCommandString(UINT nItemID,UINT nFlags,UINT* pReserved,LPSTR pszName,UINT cchMax);
    // IShellPropSheetExt
    STDMETHODIMP AddPages(LPFNADDPROPSHEETPAGE lpfnAddPage,LPARAM lParam);
    STDMETHODIMP ReplacePage(UINT uPageID,LPFNADDPROPSHEETPAGE lpfnReplacePage,LPARAM lParam);
/*  STDMETHODIMP SetPageSite(IPropertyPageSite *pPageSite);
    STDMETHODIMP Activate(HWND hWndParent,LPCRECT prc,BOOL bModal);
    STDMETHODIMP Deactivate(void);
    STDMETHODIMP GetPageInfo(PROPPAGEINFO *pPageInfo);
    STDMETHODIMP SetObjects(ULONG cObjects,IUnknown **ppUnk);
    STDMETHODIMP Show(UINT nCmdShow);
    STDMETHODIMP Move(LPCRECT prc);
    STDMETHODIMP IsPageDirty(void);
    STDMETHODIMP Apply(void);
    STDMETHODIMP Help(LPCOLESTR pszHelpDir);
    STDMETHODIMP TranslateAccelerator(LPMSG pMsg);*/
    //
    // IShellExtInit
    STDMETHODIMP Initialize( LPCITEMIDLIST pidl,LPDATAOBJECT  pObj,HKEY hKeyProgID );

    friend    void WINAPI ReceiveDllMessage(unsigned long ucsize,unsigned long csize,ush cfactor,ush mo,ush dy,ush yr,ush hh,ush mm,char c,char *filename,char *methbuf,unsigned long crc);
    friend    int WINAPI ZIPPrint(char *buffer, unsigned long size);
    friend    BOOL APIENTRY DlgProc(HWND hwndDlg,UINT message,WPARAM wParam,LPARAM lParam);
protected:
//    CPropPage *m_pPropPage;
};

// Callback-Function for the PropertyPage
UINT CALLBACK PropPageCallback(HWND, UINT message, LPPROPSHEETPAGE pPropPage);

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio fgt zustzliche Deklarationen unmittelbar vor der vorhergehenden Zeile ein.

#endif // !defined(AFX_ZIPSHELLEXT_H__5DA92A24_E49C_11D0_9DCC_A393B05B407D__INCLUDED_)
